Upload exchange rates via CSV
curl --request POST \
--url https://api.vantage.sh/v2/exchange_rates/csv \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'csv=<string>'import requests
url = "https://api.vantage.sh/v2/exchange_rates/csv"
payload = { "csv": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({csv: '<string>'})
};
fetch('https://api.vantage.sh/v2/exchange_rates/csv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}ExchangeRates
Upload exchange rates via CSV
Upload Exchange Rates via CSV.
POST
/
exchange_rates
/
csv
Upload exchange rates via CSV
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/x-www-form-urlencodedmultipart/form-data
CSV file containing exchange rates. Format: base_currency_code, currency_code, rate, date (YYYY-MM-DD)
Response
⌘I